/*************************************************************************
 *                                                                       *
 *                       Pogromcy Algorytmów 2004                        *
 *                                                                       *
 *   Rozwiązanie zadania: Tańce Gordyjskie Krzyśków                      *
 *   Plik:                tan.c                                          *
 *   Autor:               Krzysztof Sikora                               *
 *************************************************************************/

#include <stdio.h>

struct stan {
  int l, m;
};

void operS(struct stan *s, int razy)
{
  if (s->m != 0)
    s->l += razy*s->m;
}

void operR(struct stan *s)
{
  int rob;

  rob = s->l;
  if (rob < 0) {
    s->l = s->m;
    s->m = -rob;
  } else {
    s->l = -s->m;
    s->m = rob;
  }
}

int rozplacz(struct stan *s)
{
  int wynik = 0;
  
  while (s->l != 0)
    if (s->l < 0 && s->m != 0) {
      int calosc, reszta, ilerazyS;
      
      calosc = (-s->l) / s->m;
      reszta = (-s->l) % s->m;
      ilerazyS = calosc + (reszta != 0);
      
      operS(s, ilerazyS);
      wynik += ilerazyS;
    } else {
      operR(s);
      wynik++;
    }

  return wynik;
}

int main()
{
  int i, n;
  struct stan s;

  s.l = 0;
  s.m = 1;
  scanf("%d", &n);
  while (getchar() != '\n');
  for (i = 0; i < n; i++) {
    if (getchar() == 'S') {
      operS(&s, 1);
    } else { /* R */
      operR(&s);
    }
  }
  printf("%d\n", rozplacz(&s));
  return 0;
}
